//==================================================================================================
//
// Author: Jens Chluba 
// first implementation: April 2012
//
//==================================================================================================

#ifndef RELATISTIC_MB_H
#define RELATISTIC_MB_H

using namespace std;

//==================================================================================================
//
// relativistic Maxwell-Boltzmann distribution function
//
//==================================================================================================
double f_RM(double xi, double The);
double f_RM_gamma(double gamma, double The);

//==================================================================================================
//
// derivatives of exp(-1/The) and normalization in convenient form
//
//==================================================================================================
double df_RM_dTheta(double xi, double The, int k); // f_RM == sqrt(xi)*exp(-Dgamma/Theta)
double norm_df_RM_dTheta(double The);

//==================================================================================================
//
// norm factor (sqrt(2 The)*The) exp(-1/The)/( 4 pi The K_2(1/The) ) in convenient forms
//
//==================================================================================================
double norm_f_RM(double The);
double norm_f_RM_gamma(double The);

#endif

//==================================================================================================
//==================================================================================================
